dpkg-0.0.3: libdpkg bindings

Safe Haskell | Safe
Language | Haskell2010

Debian.Dpkg.Enums

# Documentation

data PkgWant Source #

Constructors

PKG_WANT_UNKNOWN |
PKG_WANT_INSTALL |
PKG_WANT_HOLD |
PKG_WANT_DEINSTALL |
PKG_WANT_PURGE |
PKG_WANT_SENTINEL |

Instances

Enum PkgWant Source # |
Methods succ :: PkgWant -> PkgWant # pred :: PkgWant -> PkgWant # toEnum :: Int -> PkgWant # fromEnum :: PkgWant -> Int # enumFrom :: PkgWant -> [PkgWant] # enumFromThen :: PkgWant -> PkgWant -> [PkgWant] # enumFromTo :: PkgWant -> PkgWant -> [PkgWant] # enumFromThenTo :: PkgWant -> PkgWant -> PkgWant -> [PkgWant] #
Eq PkgWant Source # |
Methods (==) :: PkgWant -> PkgWant -> Bool # (/=) :: PkgWant -> PkgWant -> Bool #
Show PkgWant Source # |
Methods showsPrec :: Int -> PkgWant -> ShowS # show :: PkgWant -> String # showList :: [PkgWant] -> ShowS #

data PkgEflag Source #

Constructors

PKG_EFLAG_OK |
PKG_EFLAG_REINSTREQ |

Instances

Enum PkgEflag Source # |
Methods succ :: PkgEflag -> PkgEflag # pred :: PkgEflag -> PkgEflag # toEnum :: Int -> PkgEflag # fromEnum :: PkgEflag -> Int # enumFrom :: PkgEflag -> [PkgEflag] # enumFromThen :: PkgEflag -> PkgEflag -> [PkgEflag] # enumFromTo :: PkgEflag -> PkgEflag -> [PkgEflag] # enumFromThenTo :: PkgEflag -> PkgEflag -> PkgEflag -> [PkgEflag] #
Eq PkgEflag Source # |
Methods (==) :: PkgEflag -> PkgEflag -> Bool # (/=) :: PkgEflag -> PkgEflag -> Bool #
Show PkgEflag Source # |
Methods showsPrec :: Int -> PkgEflag -> ShowS # show :: PkgEflag -> String # showList :: [PkgEflag] -> ShowS #

data PkgStatus Source #

Constructors

PKG_STAT_NOTINSTALLED |
PKG_STAT_CONFIGFILES |
PKG_STAT_HALFINSTALLED |
PKG_STAT_UNPACKED |
PKG_STAT_HALFCONFIGURED |
PKG_STAT_TRIGGERSAWAITED |
PKG_STAT_TRIGGERSPENDING |
PKG_STAT_INSTALLED |

Instances

Enum PkgStatus Source # |
Methods succ :: PkgStatus -> PkgStatus # pred :: PkgStatus -> PkgStatus # toEnum :: Int -> PkgStatus # fromEnum :: PkgStatus -> Int # enumFrom :: PkgStatus -> [PkgStatus] # enumFromThen :: PkgStatus -> PkgStatus -> [PkgStatus] # enumFromTo :: PkgStatus -> PkgStatus -> [PkgStatus] # enumFromThenTo :: PkgStatus -> PkgStatus -> PkgStatus -> [PkgStatus] #
Eq PkgStatus Source # |
Methods (==) :: PkgStatus -> PkgStatus -> Bool # (/=) :: PkgStatus -> PkgStatus -> Bool #
Show PkgStatus Source # |
Methods showsPrec :: Int -> PkgStatus -> ShowS # show :: PkgStatus -> String # showList :: [PkgStatus] -> ShowS #

data PkgPriority Source #

Constructors

PKG_PRIO_UNSET |
PKG_PRIO_REQUIRED |
PKG_PRIO_IMPORTANT |
PKG_PRIO_STANDARD |
PKG_PRIO_OPTIONAL |
PKG_PRIO_EXTRA |
PKG_PRIO_OTHER |
PKG_PRIO_UNKNOWN |

Instances

Enum PkgPriority Source # |
Methods succ :: PkgPriority -> PkgPriority # pred :: PkgPriority -> PkgPriority # toEnum :: Int -> PkgPriority # fromEnum :: PkgPriority -> Int # enumFrom :: PkgPriority -> [PkgPriority] # enumFromThen :: PkgPriority -> PkgPriority -> [PkgPriority] # enumFromTo :: PkgPriority -> PkgPriority -> [PkgPriority] # enumFromThenTo :: PkgPriority -> PkgPriority -> PkgPriority -> [PkgPriority] #
Eq PkgPriority Source # |
Methods (==) :: PkgPriority -> PkgPriority -> Bool # (/=) :: PkgPriority -> PkgPriority -> Bool #
Show PkgPriority Source # |
Methods showsPrec :: Int -> PkgPriority -> ShowS # show :: PkgPriority -> String # showList :: [PkgPriority] -> ShowS #